al_ustr_size_utf16(3)

NAME

al_ustr_size_utf16 - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    size_t al_ustr_size_utf16(const ALLEGRO_USTR *us)

DESCRIPTION

Returns the number of bytes required to encode the string in UTF-16 (including the terminating 0). Usually called before al_ustr_encode_utf16(3) to determine the size of the buffer to allocate.

SEE ALSO

al_ustr_size(3)